library benchpress.src.validator;

import 'package:angular2/di.dart' show bind;
import 'package:angular2/src/facade/collection.dart' show List, Map;
import 'package:angular2/src/facade/lang.dart' show ABSTRACT, BaseException;
import './measure_values.dart' show MeasureValues;

@ABSTRACT()
class Validator {
  static bindTo(delegateToken) {
    return [
      bind(Validator).toFactory((delegate) {
        return delegate;
      }, [delegateToken])
    ];
  }
  List<MeasureValues> validate(List<MeasureValues> completeSample) {
    throw new BaseException('NYI');
  }
  Map describe() {
    throw new BaseException('NYI');
  }
}
